LEED Brakes » LEED Brakes


Browse MaxGrip XDS Upgrade - Red Powder Coat Products

Sort
View
 
Items 1-60 of 68
Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: RFC1010-K105X
Condition: New
Price: $1,249.99

Qty:

Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: RFC1010-K1A3X
Condition: New
Price: $1,265.99

Qty:

Tri-Five Chevy, GM Full Size
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: RFC1010-K1A1X
Condition: New
Price: $1,264.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1957-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert vehicles originally equipped with...More Details »
Item #: RFC0026-8307X
Condition: New
Price: $2,169.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1957-1962 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with...More Details »
Item #: RFC0026-Y307X
Condition: New
Price: $2,199.99

Qty:

Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1958-64 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring...More Details »
Item #: RFC1011-K105X
Condition: New
Price: $1,255.99

Qty:

Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1958-64 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring...More Details »
Item #: RFC1011-K1A3X
Condition: New
Price: $1,272.99

Qty:

Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and stopping performance of power front disc brakes to your 1964-1966 Ford Mustang with a factory manual transmission. This drum-to-power disc brake conversion kit...More Details »
Item #: RFC0001-H405MX
Condition: New
Price: $1,714.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-1968 full-size Ford or Mercury from factory power drum brakes to power front disc brakes with this MaxGrip XDS conversion kit from LEED Brakes. Designed for classic Ford Galaxie,...More Details »
Item #: RFC0025-P307X
Condition: New
Price: $1,839.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and braking performance of your classic Mopar with LEED Brakes' 1965-72 C-Body Factory Power Front Disc Brake Conversion Kit. Designed for vehicles equipped with...More Details »
Item #: RFC2003-C05PX
Condition: New
Price: $1,613.99

Qty:

Mopar, Dodge, Plymouth, B Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar B-Body from factory power drum brakes to front disc brakes with this LEED Brakes MaxGrip XDS Front Disc Brake Conversion Kit. Featuring cross-drilled and slotted rotors, red...More Details »
Item #: RFC2002-C05PX
Condition: New
Price: $1,629.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar C-Body from factory power drum brakes to front disc brakes with this LEED Brakes conversion kit featuring MaxGrip XDS cross-drilled and slotted rotors. This kit includes...More Details »
Item #: RFC2003-P405X
Condition: New
Price: $1,770.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and stopping performance of your 1964–1974 GM A-Body, 1967–1969 F-Body, or 1968–1974 X-Body vehicle with this complete GM AFX 2" Drop Spindle Front Disc...More Details »
Item #: RFC1003-E1A1X
Condition: New
Price: $1,414.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: This GM AFX Power Front Disc Brake Conversion Kit features 2" drop spindles, cross-drilled and slotted rotors, red powder-coated calipers, and a 9" power booster in a complete disc/disc setup for...More Details »
Item #: RFC1003-E1A3X
Condition: New
Price: $1,414.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your GM vehicle with LEED Brakes' GM AFX Power Front Disc Brake Conversion Kit – 2" Drop Spindles, Red Calipers, 9" Chrome...More Details »
Item #: RFC1003-F6B2X
Condition: New
Price: $1,514.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your GM vehicle with the LEED Brakes GM AFX Power Front Disc Brake Conversion Kit – 2" Drop Spindles, Red Calipers, 9"...More Details »
Item #: RFC1003-F6B4X
Condition: New
Price: $1,514.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete front drum-to-disc brake conversion. This kit includes everything required to mount red powder-coated...More Details »
Item #: RFC1003-M105X
Condition: New
Price: $1,414.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964–1974 GM AFX vehicle with the safety, reliability, and performance of a complete front drum-to-disc brake conversion. This GM AFX Power Front Disc Brake Kit includes everything...More Details »
Item #: RFC1003-N6B2X
Condition: New
Price: $1,514.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your vehicle with the safety, reliability, and performance of modern disc brakes using this complete drum-to-disc brake conversion kit. This system includes everything needed to mount red...More Details »
Item #: RFC1002-N605X
Condition: New
Price: $1,439.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of modern disc brakes using this complete drum-to-disc brake conversion kit from LEED Brakes. This system includes...More Details »
Item #: RFC1002-N6B4X
Condition: New
Price: $1,504.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your vehicle with the safety, reliability, and performance of a complete drum-to-disc brake conversion from LEED Brakes. This GM AFX power front disc brake kit includes everything required...More Details »
Item #: RFC1002-E1A3X
Condition: New
Price: $1,354.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete power front drum-to-disc brake conversion from LEED Brakes. This kit includes everything required to mount...More Details »
Item #: RFC1002-E1A1X
Condition: New
Price: $1,354.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of modern disc brakes using this complete drum-to-disc brake conversion kit from LEED Brakes. This system includes...More Details »
Item #: RFC1002-N6B2X
Condition: New
Price: $1,504.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete front drum-to-disc brake conversion. This GM AFX Power Front Disc Brake Kit includes everything required to...More Details »
Item #: RFC1003-M1A3X
Condition: New
Price: $1,434.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete front drum-to-disc brake conversion. This GM AFX Power Front Disc Brake Kit includes everything required to...More Details »
Item #: RFC1003-M1A1X
Condition: New
Price: $1,434.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes power front drum-to-disc brake conversion kit. This complete system includes everything...More Details »
Item #: RFC1002-M1A1X
Condition: New
Price: $1,369.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete power drum-to-disc brake conversion from LEED Brakes. This kit includes everything required to mount red...More Details »
Item #: RFC1002-F6B2X
Condition: New
Price: $1,384.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes power front drum-to-disc brake conversion kit. This complete system includes everything...More Details »
Item #: RFC1002-M1A3X
Condition: New
Price: $1,369.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your Chevrolet with the safety, reliability, and performance of a complete power drum-to-disc brake conversion from LEED Brakes. This power front disc brake kit includes everything required...More Details »
Item #: RFC1002-F6B4X
Condition: New
Price: $1,384.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes power front drum-to-disc brake conversion kit. This complete system includes everything...More Details »
Item #: RFC1002-M105X
Condition: New
Price: $1,344.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This power front disc brake conversion kit...More Details »
Item #: RFC1003-N6B4X
Condition: New
Price: $1,514.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic full-size Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with factory power brakes....More Details »
Item #: RFC0026-405PX
Condition: New
Price: $2,074.99

Qty:

Ford Mustang
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1971-1973 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. This drum-to-power-disc brake conversion kit includes everything needed to...More Details »
Item #: RFC0008-W405X
Condition: New
Price: $1,999.99

Qty:

Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964.5-1966 Ford Mustang with a power front disc brake conversion kit from LEED Brakes, designed for vehicles with factory manual transmissions. This MaxGrip Lite 4-piston...More Details »
Item #: RFC0005-H405MX
Condition: New
Price: $1,999.99

Qty:

Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1967-1969 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This drum-to-power-disc...More Details »
Item #: RFC0006-X405MX
Condition: New
Price: $2,099.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1964-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed specifically to convert vehicles originally...More Details »
Item #: RFC0026-P307X
Condition: New
Price: $2,149.99

Qty:

Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert factory manual drum brakes to power front disc...More Details »
Item #: RFC2004-8405X
Condition: New
Price: $2,212.99

Qty:

Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1967-1969 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. This drum-to-power-disc brake conversion kit includes everything needed to...More Details »
Item #: RFC0006-3405AX
Condition: New
Price: $2,099.99

Qty:

Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1970 Ford Mustang or Mercury Cougar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This...More Details »
Item #: RFC0007-X405MX
Condition: New
Price: $2,099.99

Qty:

Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1970 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with automatic transmissions. This drum-to-power-disc brake...More Details »
Item #: RFC0007-3405AX
Condition: New
Price: $2,099.99

Qty:

Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964.5-1966 Ford Mustang with a power front disc brake conversion kit from LEED Brakes. This Mustang drum-to-power-disc brake conversion kit includes everything needed to mount...More Details »
Item #: RFC0005-H405AX
Condition: New
Price: $1,999.99

Qty:

Mopar, Dodge, Plymouth, B Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your factory power drum brake vehicle with our drum to disc brake conversion kit featuring MaxGrip Lite 4 Piston Aluminum Calipers. In...More Details »
Item #: RFC2005-C05PX
Condition: New
Price: $1,977.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of MaxGrip Lite 4-Piston disc brakes to your factory power drum brake vehicle with LEED Brakes’ drum-to-disc brake conversion kit. This Mopar C-Body...More Details »
Item #: RFC2006-C05PX
Condition: New
Price: $1,981.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Power Front Disc Brake Conversion Kit for Mopar C-Body vehicles with red calipers. This...More Details »
Item #: RFC2006-8405X
Condition: New
Price: $2,130.99

Qty:

Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our manual drum to disc brake conversion. In this front disc brake conversion kit you receive everything you need to...More Details »
Item #: RFC2005-8405X
Condition: New
Price: $2,126.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your factory power drum brake vehicle with LEED Brakes’ drum-to-disc brake conversion kit featuring MaxGrip Lite 4-Piston Aluminum...More Details »
Item #: RFC2006-P405X
Condition: New
Price: $2,133.99

Qty:

Bel Air, Biscayne, Brookwood, El Camino, Nomad, Sedan Delivery
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1959–1964 Chevrolet Bel Air or Impala from front drum to power disc brakes with this complete LEED Brakes conversion kit. Features red powder-coated single-piston calipers, a...More Details »
Item #: RFC1011-K1A1X
Condition: New
Price: $1,271.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with our drum-to-disc brake conversion. In this kit, you receive everything you need to mount red powder-coated...More Details »
Item #: RFC1002-F605X
Condition: New
Price: $1,334.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and stopping performance of your 1964–1974 GM A-Body, 1967–1969 F-Body, or 1968–1974 X-Body vehicle with this complete GM AFX 2" Drop Spindle Front Disc...More Details »
Item #: RFC1003-E1A1X
Condition: New
Price: $1,414.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: This GM AFX Power Front Disc Brake Conversion Kit features 2" drop spindles, cross-drilled and slotted rotors, red powder-coated calipers, and a 9" power booster in a complete disc/disc setup for...More Details »
Item #: RFC1003-E1A3X
Condition: New
Price: $1,414.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your GM vehicle with LEED Brakes' GM AFX Power Front Disc Brake Conversion Kit – 2" Drop Spindles, Red Calipers, 9" Chrome...More Details »
Item #: RFC1003-F6B2X
Condition: New
Price: $1,514.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your GM vehicle with the LEED Brakes GM AFX Power Front Disc Brake Conversion Kit – 2" Drop Spindles, Red Calipers, 9"...More Details »
Item #: RFC1003-F6B4X
Condition: New
Price: $1,514.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete front drum-to-disc brake conversion. This kit includes everything required to mount red powder-coated...More Details »
Item #: RFC1003-M105X
Condition: New
Price: $1,414.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964–1974 GM AFX vehicle with the safety, reliability, and performance of a complete front drum-to-disc brake conversion. This GM AFX Power Front Disc Brake Kit includes everything...More Details »
Item #: RFC1003-N6B2X
Condition: New
Price: $1,514.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your vehicle with the safety, reliability, and performance of modern disc brakes using this complete drum-to-disc brake conversion kit. This system includes everything needed to mount red...More Details »
Item #: RFC1002-N605X
Condition: New
Price: $1,439.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of modern disc brakes using this complete drum-to-disc brake conversion kit from LEED Brakes. This system includes...More Details »
Item #: RFC1002-N6B4X
Condition: New
Price: $1,504.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your vehicle with the safety, reliability, and performance of a complete drum-to-disc brake conversion from LEED Brakes. This GM AFX power front disc brake kit includes everything required...More Details »
Item #: RFC1002-E1A3X
Condition: New
Price: $1,354.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete power front drum-to-disc brake conversion from LEED Brakes. This kit includes everything required to mount...More Details »
Item #: RFC1002-E1A1X
Condition: New
Price: $1,354.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of modern disc brakes using this complete drum-to-disc brake conversion kit from LEED Brakes. This system includes...More Details »
Item #: RFC1002-N6B2X
Condition: New
Price: $1,504.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete front drum-to-disc brake conversion. This GM AFX Power Front Disc Brake Kit includes everything required to...More Details »
Item #: RFC1003-M1A3X
Condition: New
Price: $1,434.99

Qty:

Items 1-60 of 68